/**
 * Licensed to Jasig under one or more contributor license
 * agreements. See the NOTICE file distributed with this work
 * for additional information regarding copyright ownership.
 * Jasig licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a
 * copy of the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.jasig.portal.xml.xpath;

import java.util.Map;

import javax.xml.namespace.QName;

/**
 * @author Eric Dalquist
 * @version $Revision: 23349 $
 */
public interface XPathOperations {
    public <T> T doWithExpression(String expression, XPathExpressionCallback<T> callback);
    
    public <T> T doWithExpression(String expression, Map<String, ?> variables, XPathExpressionCallback<T> callback);
    
    public <T> T evaluate(String expression, final Object item, final QName returnType);
    
    public <T> T evaluate(String expression, Map<String, ?> variables, final Object item, final QName returnType);
}
